#ifndef SPRITE_H
#define SPRITE_H

/*
  This class defines and holds all the information regarding the player sprite.
  It has it's own class for readability reasons. (It's hard to keep track of many
  sprites if they're all under the same object.
*/

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL/SDL.h>

#define NUM_FRAMES 1


class Sprite
{
  public:
    Sprite();                         //default constructor. (does nothing)
    Sprite(std::string, short, short);     //sets up initial position and loads images.
    ~Sprite(void);                  //deallocates any memory used.
    
    void set_colorKey(int);                //sets transparency color key for player sprites
    
    SDL_Surface* get_image(short) const;   //returns player image at asked directoin.
 					   //there's no set b/c it's all internal.
    short get_x(void) const;               //player sprites current x position
    void set_x(short);                     //sets the x position by an offset of given #
  
    short get_y(void) const;               //same as set w/ x only with the y value
    void set_y(short);                     //also the same as w/ the x, just w/ y value.
    
    short get_h(void) const;
    short get_w(void) const;
  
  private:
    SDL_Surface *sprite_surface;    //actual sprite is an dynamic array of frams
    short x, y;                                   //sprites x & y locations.


};

#endif
