#ifndef SPRITE_HANDLER_H
#define SPRITE_HANDLER_H

#include <iostream>
#include <cstdio>
#include <cstring>
#include <SDL/SDL.h>
#include "sprite.h"


class Sprite_Handler
{
  public:
    Sprite_Handler();                       //constructor. Initializes SDL and the screen
    ~Sprite_Handler();
    bool load_bitmaps(void);        //loads bitmaps used in the game into memory.
    bool draw_scene();  //draws the images to the screen and locks it
    bool collision_detection(Sprite&, Sprite&); //tests to see if two sdl_rects intersect.

    Sprite player_obj;      //this holds all the sprites for the players info	
    Sprite enemy_obj;		    
    
        
  private:
    void draw_part_sprite(SDL_Surface*, short, short, short, short);
    void draw_sprite(SDL_Surface*, short, short);   
    
    SDL_Surface *screen;
    int colorKey;                  //color map of transparency color.   
    
    Sprite bg_obj;      //this holds all the sprites for the background info.

    	

 
};

#endif

 
